using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Recognition.Tracking;
using bbiwarg.Input.InputHandling;

namespace bbiwarg.Recognition.HandRecognition
{
    class HandTracker : Tracker<Hand, TrackedHand>
    {
        public void trackHands(FrameData frameData)
        {
            trackObjects(frameData.DetectedHands);
            frameData.TrackedHands = getCurrentObjectsWithState(TrackingState.Tracked);
        }

        protected override TrackedHand createTrackedObject(Hand detectedObject)
        {
            return new TrackedHand(idPool.getNextUnusedID(), detectedObject, Parameters.HandTrackerNumFramesDetectedUntilTracked, Parameters.HandTrackerNumFramesLostUntilDeleted);
        }
    }
}
